Bug 1348202 - Review Request: rubygem-pcaprub - libpcap bindings for ruby
Summary: Review Request: rubygem-pcaprub - libpcap bindings for ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1371845
Blocks: 1348005 1348206
TreeView+ depends on / blocked
 
Reported: 2016-06-20 12:34 UTC by Germano Massullo
Modified: 2016-10-08 19:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 00:34:18 UTC
Type: Bug
fale: fedora-review+


Attachments (Terms of Use)

Description Germano Massullo 2016-06-20 12:34:16 UTC
Description: libpcap bindings for ruby with Ruby1.8, Ruby1.9, Ruby 2.x.

Spec: https://germano.fedorapeople.org/package_reviews/rubygem-pcaprub/rubygem-pcaprub.spec

Source RPM: https://germano.fedorapeople.org/package_reviews/rubygem-pcaprub/rubygem-pcaprub-0.12.4-1.fc23.src.rpm

FAS name: germano

Comment 1 Fabio Alessandro Locati 2016-07-06 07:05:38 UTC
This package does not compile due to:

pcaprub.c:11:18: fatal error: pcap.h: No such file or directory
 #include <pcap.h>
                  ^
compilation terminated.


Probably there is a missing buildrequire. My guess would be that you need to add:

BuildRequires: libpcap-devel

Comment 2 Germano Massullo 2016-07-06 13:15:37 UTC
(In reply to Fabio Alessandro Locati from comment #1) 
> BuildRequires: libpcap-devel

After adding it, the errors become


$ rpmbuild -ba rpmbuild/SPECS/rubygem-pcaprub.spec 
Esecuzione(%prep) in corso: /bin/sh -e /var/tmp/rpm-tmp.tZRiv0
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ gem unpack /home/user/rpmbuild/SOURCES/pcaprub-0.12.4.gem
Unpacked gem: '/home/user/rpmbuild/BUILD/pcaprub-0.12.4'
+ cd /home/user/rpmbuild/BUILD
+ cd pcaprub-0.12.4
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ gem spec /home/user/rpmbuild/SOURCES/pcaprub-0.12.4.gem -l --ruby
+ exit 0
Esecuzione(%build) in corso: /bin/sh -e /var/tmp/rpm-tmp.7eRMdz
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ cd pcaprub-0.12.4
+ gem build pcaprub.gemspec
  Successfully built RubyGem
  Name: pcaprub
  Version: 0.12.4
  File: pcaprub-0.12.4.gem
+ mkdir -p ./usr/share/gems
+ CONFIGURE_ARGS='--with-cflags='\''-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic'\'' '
+ gem install -V --local --build-root . --force --document=ri,rdoc pcaprub-0.12.4.gem
WARNING:  You build with buildroot.
  Build root: /home/user/rpmbuild/BUILD/pcaprub-0.12.4
  Bin dir: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/bin
  Gem home: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/.document
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/.travis.yml
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/FAQ.rdoc
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/Gemfile
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/LICENSE
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/README.rdoc
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/Rakefile
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/USAGE.rdoc
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/examples/dead_cap.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/examples/file_cap.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/examples/simple_cap.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/examples/telnet-raw.pcap
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c/extconf.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c/pcaprub.c
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/lib/pcaprub.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/lib/pcaprub/common.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/lib/pcaprub/ext.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/lib/pcaprub/version.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/test/test_helper.rb
/home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/test/test_pcaprub_unit.rb
Building native extensions.  This could take a while...
current directory: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c
/usr/bin/ruby -r ./siteconf20160706-15761-1i4anuk.rb extconf.rb

[*] Running checks for pcaprub_c code...
platform is x86_64-linux
checking for ruby/thread.h... yes
checking for rb_thread_blocking_region()... no
checking for rb_thread_call_without_gvl()... yes
checking for pcap_open_live() in -lpcap... yes
checking for pcap_setnonblock() in -lpcap... yes
creating Makefile
current directory: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c
make "DESTDIR=" clean
rm -f 
rm -f pcaprub_c.so  *.o  *.bak mkmf.log .*.time
current directory: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c
make "DESTDIR="
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I. -DHAVE_RUBY_THREAD_H -DHAVE_RB_THREAD_CALL_WITHOUT_GVL -I/opt/local/include -I/usr/local/include -I/usr/include -I/usr/include    -fPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -m64 -o pcaprub.o -c pcaprub.c
rm -f pcaprub_c.so
gcc -shared -o pcaprub_c.so pcaprub.o -L. -L/usr/lib64 -L/opt/local/lib -L/usr/local/lib -L/usr/lib64 -L/usr/lib -L. -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -fstack-protector -rdynamic -Wl,-export-dynamic  -m64  -lruby -lpcap -lpcap  -lpthread -ldl -lcrypt -lm   -lc
current directory: /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4/ext/pcaprub_c
make "DESTDIR=" install
/usr/bin/mkdir -p . ./.gem.20160706-15761-1v5ysuc
exit > .RUBYARCHDIR.time
/usr/bin/install -c -m 0755 pcaprub_c.so ./.gem.20160706-15761-1v5ysuc
To see why this extension failed to compile, please check the mkmf.log which can be found here:

  /home/user/rpmbuild/BUILD/pcaprub-0.12.4/usr/lib64/gems/ruby/pcaprub-0.12.4/mkmf.log
Successfully installed pcaprub-0.12.4
Parsing documentation for pcaprub-0.12.4
Parsing sources...
100% [13/13]  lib/pcaprub/version.rb    
Installing ri documentation for pcaprub-0.12.4
Installing darkfish documentation for pcaprub-0.12.4
Done installing documentation for pcaprub after 0 seconds
1 gem installed
+ exit 0
Esecuzione(%install) in corso: /bin/sh -e /var/tmp/rpm-tmp.9dfiOf
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ '[' /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64 '!=' / ']'
+ rm -rf /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64
++ dirname /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64
+ mkdir -p /home/user/rpmbuild/BUILDROOT
+ mkdir /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64
+ cd pcaprub-0.12.4
+ mkdir -p /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems
+ cp -a ./usr/share/gems/build_info ./usr/share/gems/cache ./usr/share/gems/doc ./usr/share/gems/extensions ./usr/share/gems/gems ./usr/share/gems/specifications /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems/
+ mkdir -p /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/lib64/gems/ruby/pcaprub-0.12.4
+ cp -a ./usr/lib64/gems/ruby/pcaprub-0.12.4/gem.build_complete ./usr/lib64/gems/ruby/pcaprub-0.12.4/pcaprub_c.so /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/lib64/gems/ruby/pcaprub-0.12.4/
+ rm -rf /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems/gems/pcaprub-0.12.4/ext/
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/user/rpmbuild/BUILD/pcaprub-0.12.4
extracting debug info from /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/lib64/gems/ruby/pcaprub-0.12.4/pcaprub_c.so
dwz: Too few files for multifile optimization
/usr/lib/rpm/sepdebugcrcfix: Updated 1 CRC32s, 0 CRC32s did match.
66 blocks
+ '[' noarch = noarch ']'
+ case "${QA_CHECK_RPATHS:-}" in
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Esecuzione(%check) in corso: /bin/sh -e /var/tmp/rpm-tmp.xD3nuY
+ umask 022
+ cd /home/user/rpmbuild/BUILD
+ cd pcaprub-0.12.4
+ pushd ./usr/share/gems/gems/pcaprub-0.12.4
~/rpmbuild/BUILD/pcaprub-0.12.4/usr/share/gems/gems/pcaprub-0.12.4 ~/rpmbuild/BUILD/pcaprub-0.12.4
+ popd
~/rpmbuild/BUILD/pcaprub-0.12.4
+ exit 0
Elaborazione file: rubygem-pcaprub-0.12.4-1.fc24.x86_64
errore: File non trovato: /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems/gems/pcaprub-0.12.4/ext


Errori di compilazione RPM:
    File non trovato: /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems/gems/pcaprub-0.12.4/ext

Comment 3 Fabio Alessandro Locati 2016-07-06 13:56:14 UTC
I would say that the error is pretty clear and straight-forward:

Elaborazione file: rubygem-pcaprub-0.12.4-1.fc24.x86_64
errore: File non trovato: /home/user/rpmbuild/BUILDROOT/rubygem-pcaprub-0.12.4-1.fc24.x86_64/usr/share/gems/gems/pcaprub-0.12.4/ext

Comment 5 Fabio Alessandro Locati 2016-08-23 22:45:43 UTC
Please delete commented code.

Package is ok, APPROVED.

Comment 6 Gwyn Ciesla 2016-08-29 12:58:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-pcaprub

Comment 7 Vít Ondruch 2016-08-31 08:28:25 UTC
I have a few comments.

* The test suite is not executed
  - It is always good idea to execute the test suite to make sure the package
    works. There is test suite available in upstream repository, so it should
    not be a problem.

* Please remove the binary extension from the source tree
  - Please see [1] how to do it and for the link to associated BZ with reasoning.

* License
  - The license field does not contain valid Fedora identifier. Please see [2]
    and pick the correct one (likely LGPLv2?)



[1] http://pkgs.fedoraproject.org/cgit/rpms/rubygem-sqlite3.git/tree/rubygem-sqlite3.spec#n49
[2] https://fedoraproject.org/wiki/Licensing:Main#Software_License_List

Comment 8 Vít Ondruch 2016-08-31 08:39:36 UTC
BTW, for the EPEL7, you probably want to follow these guidelines [1], which are referenced on the top of regular Fedora packaging guidelines.


[1] https://fedoraproject.org/w/index.php?title=Packaging:Ruby&oldid=363159

Comment 9 Germano Massullo 2016-09-21 11:08:22 UTC
I was trying to change the title due https://admin.fedoraproject.org/pkgdb/request/package/ error message "Invalid title for this bugzilla ticket (no "-" present)"

Comment 10 Fedora Update System 2016-09-22 09:55:34 UTC
rubygem-pcaprub-0.12.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-84c96a7498

Comment 11 Fedora Update System 2016-09-23 06:54:01 UTC
rubygem-pcaprub-0.12.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c385335ed5

Comment 12 Fedora Update System 2016-09-23 08:01:20 UTC
rubygem-pcaprub-0.12.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59a456f28

Comment 13 Fedora Update System 2016-09-27 00:34:18 UTC
rubygem-pcaprub-0.12.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-06 00:51:04 UTC
rubygem-pcaprub-0.12.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-10-08 19:48:16 UTC
rubygem-pcaprub-0.12.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.